@use "../../../styles/colors";
@use "../../../styles/mixins";

.header {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr auto auto;
  gap: 4.8rem;
  margin-bottom: 6.4rem;

  &__text {
    &__title {
      font-size: 3.2rem;
      font-weight: 700;
      line-height: 3.6rem;
      margin-bottom: 1rem;
    }

    &__description {
      line-height: 1.4rem;
      color: colors.$secondary-light;
      margin: 0;
    }
  }

  &__btn {
    @include mixins.flex-center;
    background-color: colors.$primary;
    padding: 1rem;
    padding-right: 1.6rem;
    border: none;
    border-radius: 10rem;
    gap: 0.8rem;
    cursor: pointer;
    transition: background-color 0.3s;
    z-index: 1;

    &:hover {
      background-color: colors.$primary-hover;
    }

    &__icon__wrapper {
      @include mixins.flex-center;
      background-color: colors.$light;
      border-radius: 50%;
      width: 2.4rem;
      height: 2.4rem;
      &__icon__add {
        width: 2rem;
        height: 2rem;
        stroke: colors.$primary;
      }
    }

    &__text {
      color: colors.$light;
      font-weight: 700;
    }
  }
}

@media (max-width: 650px) {
  .header {
    gap: 2.4rem;
    &__btn {
      &__extra-label {
        display: none;
      }
    }
  }
}
